Package org.apache.ignite.internal.management.defragmentation

## Class DefragmentationCommand

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl
  - - org.apache.ignite.internal.management.defragmentation.DefragmentationCommand

All Implemented Interfaces:
  `Command`, `CommandsRegistry`

    public class DefragmentationCommand
    extends CommandRegistryImpl

Command to manage PDS defragmentation.

### Nested Class Summary

Nested Classes
`static class` `DefragmentationCommand.DefragmentationCancelCommandArg`
`static class` `DefragmentationCommand.DefragmentationStatusCommandArg`

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`DefragmentationCommand()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.management.api.CommandRegistryImpl

`command, commands, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.CommandsRegistry

`argClass, description`

### Constructor Detail

#### DefragmentationCommand

    public DefragmentationCommand()